Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp.event
Class MiscellaneousEvent

    java.lang.Object
      java.util.EventObject
          org.linuxsampler.lscp.event.MiscellaneousEvent

All Implemented Interfaces:
  java.io.Serializable

    public class MiscellaneousEvent

extends java.util.EventObject

A semantic event which provides some miscellaneous or debugging information.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MiscellaneousEvent(java.lang.Object source, java.lang.String message)` Constructs a `MiscellaneousEvent` object.

Method Summary
`java.lang.String` | `getEventMessage()` Gets a `String` instance describing the event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MiscellaneousEvent

    public MiscellaneousEvent(java.lang.Object source,
                              java.lang.String message)

  Constructs a `MiscellaneousEvent` object.

  Parameters:
    `source` - The object that originated the event.
    `message` - A `String` instance describing the event.

Method Detail

### getEventMessage

    public java.lang.String getEventMessage()

  Gets a `String` instance describing the event.

  Returns:
    A `String` instance describing the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.